Feeef Cloud
ApiParcels

Register a carrier account — runs testConnection before saving

POST
/carrier-accounts
AuthorizationBearer <token>

Project API key, fc_live_…. Keep keys out of public client code. The trusted Cloud playground accepts credentials temporarily in memory.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/carrier-accounts" \  -H "Content-Type: application/json" \  -d '{    "courierId": "string",    "name": "string",    "config": {      "property1": null,      "property2": null    }  }'
{  "data": {    "id": "string",    "courierId": "string",    "provider": "ecotrack",    "name": "string",    "configPreview": {      "property1": null,      "property2": null    },    "labelSource": "carrier",    "webhookUrl": "string",    "samePriceAllWilayas": true,    "fees": {      "stopdesk": 0,      "home": 0,      "return": 0,      "exchange": 0    },    "isActive": true,    "createdAt": "string",    "updatedAt": "string"  },  "token": "string",  "created": true}